Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Upgrade command doesn't work #31

Open
ivankruchkoff opened this issue Oct 19, 2017 · 9 comments
Open

Upgrade command doesn't work #31

ivankruchkoff opened this issue Oct 19, 2017 · 9 comments

Comments

@ivankruchkoff
Copy link

@ivankruchkoff ivankruchkoff commented Oct 19, 2017

Your update instructions don't actually update to v1.6.0

[notice] A new Terminus version v1.6.0 is available.
You are currently using version v1.5.0.
You can update Terminus by running composer update or using the Terminus installer:
curl -O https://raw.githubusercontent.com/pantheon-systems/terminus-installer/master/builds/installer.phar && php installer.phar update
[deploy@single1 ~]$ curl -O https://raw.githubusercontent.com/pantheon-systems/terminus-installer/master/builds/installer.phar && php installer.phar update
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 3198k 100 3198k 0 0 15.6M 0 --:--:-- --:--:-- --:--:-- 32.8M
Updating Terminus...
You are running composer with xdebug enabled. This has a major impact on runtime performance. See https://getcomposer.org/xdebug
Loading composer repositories with package information
Updating dependencies (including require-dev)
Nothing to install or update
Generating autoload files
[deploy@single1 ~]$ terminus -V
Terminus 1.5.0
[notice] A new Terminus version v1.6.0 is available.
You are currently using version v1.5.0.
You can update Terminus by running composer update or using the Terminus installer:
curl -O https://raw.githubusercontent.com/pantheon-systems/terminus-installer/master/builds/installer.phar && php installer.phar update

@TeslaDethray TeslaDethray changed the title Non existent upgrade to 1.6 Upgrade command doesn't work Nov 8, 2017
@TeslaDethray

This comment has been minimized.

Copy link
Member

@TeslaDethray TeslaDethray commented Nov 8, 2017

Moved from pantheon-systems/terminus#1793

Expected behavior

When I execute terminus --version, I get the following output:

Terminus 1.5.0
 [notice] A new Terminus version v1.6.1 is available.
You are currently using version v1.5.0.
You can update Terminus by running `composer update` or using the Terminus installer:
curl -O https://raw.githubusercontent.com/pantheon-systems/terminus-installer/master/builds/installer.phar && php installer.phar update

When I run the command curl -O https://raw.githubusercontent.com/pantheon-systems/terminus-installer/master/builds/installer.phar && php installer.phar update, I expect terminus to update to version 1.6.1.

Actual behavior

When I run curl -O https://raw.githubusercontent.com/pantheon-systems/terminus-installer/master/builds/installer.phar && php installer.phar update, terminus doesn't update.

  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 3198k  100 3198k    0     0  1847k      0  0:00:01  0:00:01 --:--:-- 1881k
Updating Terminus...
Loading composer repositories with package information
Updating dependencies (including require-dev)
Nothing to install or update
Generating autoload files

Steps to reproduce the behavior

  1. Install terminus 1.5.0
  2. Run terminus --version, verify that there is a newer version of terminus available.
  3. Run curl -O https://raw.githubusercontent.com/pantheon-systems/terminus-installer/master/builds/installer.phar && php installer.phar update
@abloom12

This comment has been minimized.

Copy link

@abloom12 abloom12 commented Jun 12, 2018

I'm having the exact same issue as TeslaDethRay

@thatdevgirl

This comment has been minimized.

Copy link

@thatdevgirl thatdevgirl commented Feb 20, 2019

I am having the same issue when I attempt to upgrade from 1.6.1 to 1.9.0. Is there any fix for this?

@bob-hinrichs

This comment has been minimized.

Copy link

@bob-hinrichs bob-hinrichs commented Feb 21, 2019

This has never worked for me or anyone on my team, on mac os, it never works, from update to update. Cannot update to 2.0. There is code in $HOME/.composer/vendor/pantheon-systems/terminus that appears to not get updated. Still trying to figure this out. Please try out your instructions for yourselves and fix your documentation.

@bob-hinrichs

This comment has been minimized.

Copy link

@bob-hinrichs bob-hinrichs commented Feb 21, 2019

I managed to update by editing the composer.json file in $HOME/.composer to use terminus 2 and running update from that directory. However now I get errors for all of my plugins (which are in the .terminus directory, yet another directory) stating that they are not compatible with terminus 2.0 and cannot be loaded, and when I attempt to update the plugins, there is no update available. Kind of a mess, frankly. If not a code/maintenance mess, it is at least a critical lack of documentation based on the experience of my team and others in these threads. Sorry to be harshin' on it but no doubt it wastes a lot of time for people having these issues. I like using terminus otherwise. Oh also -- the github page mentions another installation/update method using brew, which isn't mentioned in the terminus manual.

@reedcodes

This comment has been minimized.

Copy link

@reedcodes reedcodes commented Feb 27, 2019

Starting August 26, 2019, Pantheon will no longer support Terminus versions older than v.1.9. I still cannot upgrade my installation from v.1.7.1. I get the same errors that others have reported above.

@thatdevgirl

This comment has been minimized.

Copy link

@thatdevgirl thatdevgirl commented Feb 28, 2019

I contacted Pantheon support and they directed me to a potential fix that worked for me. It is noted in this document: https://pantheon.io/docs/terminus/updates/#nothing-to-install-or-update

Here are the specific steps I followed, in a terminal window.

rm -rf $HOME/terminus
mkdir $HOME/terminus
cd $HOME/terminus
curl -O https://raw.githubusercontent.com/pantheon-systems/terminus-installer/master/builds/installer.phar && php installer.phar install

I did not originally have a $HOME/terminus directory, but after following these steps and basically installing terminus from scratch, I did verify that I am now on version 2.0.0. I hope this works for everyone else too!

@bob-hinrichs

This comment has been minimized.

Copy link

@bob-hinrichs bob-hinrichs commented Feb 28, 2019

Thank you @thatdevgirl - this was what I attempted, several times. But it did not work and never has. The issue is that there are active terminus files in $HOME/.composer and the composer.json that controls the version is located in there. There must be another typeof installation or something that the documentation does not account for?

@thatdevgirl

This comment has been minimized.

Copy link

@thatdevgirl thatdevgirl commented Feb 28, 2019

Interesting. Maybe it only worked for me because I did not have that home ~/terminus directory? If that's the case, then there must be another type of installation. It would be nice if someone from Pantheon would weigh in here.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
6 participants
You can’t perform that action at this time.